%% Description
% This routine provides the value of the aerodynamic derivatives at the
% reduced velocity in question
% AD=[P1* P2* P3* P4* P5* P6* H1* H2* H3* H4* H5* H6* A1* A2* A3* A4* A5* A6*]^T
% vred=V/(omega*B^*)
% V is the mean wind velocity in m/s
% omega is the circular frequency of motion 
% B^* is the width of the girder
function [AD]=aerodynamicderivatives3(vred,RAD)
load ADpar3.mat;

% Scaling factors when finding the most important derivatives
h1=1;
h2=1;
h3=1;
h4=1;
a1=1;
a2=1;
a3=1;
a4=1;

% Adjusting derivatives so that the load model is equal to the one used in this thesis
Adjust=[1 1 1 1 1 1 h1*0.5 h2*0.25 h3*0.25 h4*0.5 1 1 a1*0.5 a2*0.25 a3*0.25 a4*0.5 1 1]';

% Up to 3 rd degree
ADpre=ADpar3(:,4)*(vred*2*pi)^3+ADpar3(:,5)*(vred*2*pi)^2+...
    ADpar3(:,6)*(vred*2*pi);
AD=Adjust.*ADpre;