%% Description
% This routine provides the value of the aerodynamic derivatives at the
% reduced velocity in question
% AD=[P1* P2* P3* P4* P5* P6* H1* H2* H3* H4* H5* H6* A1* A2* A3* A4* A5* A6*]^T
% vred=V/(omega*B^*)
% V is the mean wind velocity in m/s
% omega is the frequency of motion in HZ 
% B^* is the width of the girder
function [AD]=aerodynamicderivativesBS30(vred,RAD)
load BS30par.mat;

% Scaling factors when finding the most important derivatives
h1=1;
h2=1;
h3=1;
h4=1;
a1=1;
a2=1;
a3=1;
a4=1;

% Adjusting derivatives so that the load model is equal to the one used in this thesis
Adjust=[1 1 1 1 1 1 h1 h2 h3 h4 1 1 a1 a2 a3 a4 1 1]';

% Up to 2nd degree
ADpre=BS30par(:,1)*(vred*2*pi)^2+BS30par(:,2)*(vred*2*pi)+BS30par(:,3);
AD=Adjust.*ADpre;
% Including quasi steady theory
% CD=1.784;
% CL=-0.218;
% dCL=5.31;
% CM=0.222;
% dCM=-2.97;
% dCD=0;
% D=2.6;
% B=7.5;
% AD(1)=-2*CD*(D/B)*(vred);
% AD(3)=dCD*(D/B)*(vred)^2;
% AD(5)=(CL-dCD)*(D/B)*(vred);
% AD(11)=-2*CL*(vred);
% AD(18)=-2*CM*(vred);
